[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.StoredValue

Provides indexed access to the value for a collection item by its name.

## Declaration

Source position: propertystorage.pas line 165

`public property TCustomPropertyStorage.StoredValue[AName: string] : TStoredType read GetStoredValue write SetStoredValue;`

## Description

StoredValue is an indexed TStoredType property which provides indexed access to the value for a collection item by the name specified in AName. Read and write access is redirected to the StoredValue property in the StoredValues collection.

## See also

TCustomPropertyStorage.StoredValues |  | Collection with the names and values for properties handled for the container.
TStoredValues.StoredValue |  | Provides indexed access to the value for a collection item with the specified name.